App 통계
curl --request GET \
--url https://api.example.com/v1/data-apps/{app_id}/statsimport requests
url = "https://api.example.com/v1/data-apps/{app_id}/stats"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/data-apps/{app_id}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Publishing
App 통계
App 하나 게시자 통계: 실행 수, 성공률, 최근 활동.
GET
/
v1
/
data-apps
/
{app_id}
/
stats
App 통계
GET https://api-datahub.octoparse.com/v1/data-apps/{app_id}/stats
인증: API 키 필요(Authorization: Bearer <API Key>). App 작성자만.
종료 실행 일 버킷의 작성자 전용 집계. Release 0개 App도 가능(디버그 트래픽). 테스트 실행 기본 제외.
요청
string
필수
필드
boolean
기본값:"False"
필드
요청 예시
curl \
-H "Authorization: Bearer $OCTOPARSE_API_KEY" \
"https://api-datahub.octoparse.com/v1/data-apps/carol/reviews-query/stats"
응답
200 성공
{
"data": {
"namespace": "carol",
"app_name": "probe-b",
"total_runs": 2,
"last_run_at": "2026-09-15T07:45:42.326823+00:00",
"runs_30d": 2,
"success_rate_30d": 1.0,
"runs_7d": 2,
"success_rate_7d": 1.0,
"calls_7d": [
0,
0,
"…"
],
"avg_duration_ms_30d": 422,
"credits_30d": 0.04
}
}
오류
| HTTP | code | category | 설명 |
|---|---|---|---|
| 401 | unauthorized | forbidden | API 키 누락 또는 무효. |
| 404 | *-not-found | not_found | 대상이 없거나 현재 자격에 보이지 않음. |
{"error": {code, category, message, retryable}}입니다. 오류 참고.